local args = { ... };
local LB = args[2];

local frFR = {};

frFR.AlternativePatterns = {

   ["ITEM_MOD_HIT_RATING"] = {},
   ["ITEM_MOD_HIT_MELEE_RATING"] = {},
   ["ITEM_MOD_HIT_RANGED_RATING"] = {},
   ["ITEM_MOD_CRIT_RATING"] = {
      "(%d+) le score de coup critique",
      "score de coup critique de (%d+)",
      "(%d+) au score de coup critique",
   },
   ["ITEM_MOD_CRIT_MELEE_RATING"] = {},
   ["ITEM_MOD_CRIT_RANGED_RATING"] = {},
   ["ITEM_MOD_HASTE_RATING"] = {},
   ["ITEM_MOD_EXPERTISE_RATING"] = {
      "(%d+) le score d’expertise",
   },
   ["ITEM_MOD_HIT_SPELL_RATING"] = {
      "score de toucher des sorts de (%d+)",
   },
   ["ITEM_MOD_CRIT_SPELL_RATING"] = {
      "(%d+) le score de coup critique des sorts",
      "(%d+) au score de critique des sorts",
      "(%d+) au score de coup critique des sorts",
      "score de coup critique des sorts de (%d+)",
   },
   ["ITEM_MOD_HASTE_SPELL_RATING"] = {},
   ["ITEM_MOD_DEFENSE_SKILL_RATING"] = {},
   ["ITEM_MOD_BLOCK_RATING"] = {},
   ["ITEM_MOD_DODGE_RATING"] = {
      "(%d+) le score d’esquive",
      "(%d+) le score d'esquive",
      "score d'esquive de (%d+)",
      "(%d+) au score d'esquive",
   },
   ["ITEM_MOD_PARRY_RATING"] = {},
};


frFR.GetShortStatPatterns = function(shortStatString, _)
   return {
      "(%d+) le score de " .. shortStatString,
      "score de " .. shortStatString .. " augmenté de (%d+)",
      "score de " .. shortStatString .. " de (%d+)",
      "(%d+) au score de " .. shortStatString,
   }
end


frFR.ConfigStrings = {
   DefensesHeader = "Defensive Stats",
   DefenseRatingCheckbox = "Display converted Defense rating",
   DodgeRatingCheckbox = "Display converted Dodge rating",
   ParryRatingCheckbox = "Display converted Parry rating",
   BlockRatingCheckbox = "Display converted Block rating",

   SpellsHeader = "Spell Stats",
   SpellHitRatingCheckbox = "Display converted Spell Hit rating",
   SpellCritRatingCheckbox = "Display converted Spell Crit rating",
   SpellHasteRatingCheckbox = "Display converted Spell Haste rating",

   PhysicalsHeader = "Melee and Ranged Stats",
   PhysicalHitRatingCheckbox = "Display converted Hit rating",
   PhysicalCritRatingCheckbx = "Display converted Crit rating",
   PhysicalHasteRatingCheckbox = "Display converted Haste rating",
   PhysicalExpertiseRatingCheckbox = "Display converted Expertise rating",
};

LB.LocaleTables["frFR"] = {};
LB.LocaleTables["frFR"].getLocaleTable = function()
   return frFR
end
